<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    th:replace="base::layout(~{::section})">
<head>
<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900&display=swap" rel="stylesheet">

    <title>Team-A |E -Commerce</title>


    <!-- Additional CSS Files -->
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.min.css">

    <link rel="stylesheet" type="text/css" href="/css/font-awesome.css">

    <link rel="stylesheet" href="/css/templatemo-hexashop.css">

    <link rel="stylesheet" href="/css/owl-carousel.css">

    <link rel="stylesheet" href="/css/lightbox.css">
</head>
<body>
    <section>
    <div
  class="bg-image"
  style="
    background-image: url('');     
    height: 100vh;">



       <div class="container p-3">
            <div class="row">
                <div class="col-md-6 offset-md-3">
                    <div class="card">
                        <div class="p-3 mb-2 bg-primary text-center text-white">Register Page</div>




       </div>
</div>



 <div class="subscribe">
        <div class="container">
            <div class="row">
               
                
                
                

                
                
                 <div class="col-lg-12">
                    <div class="section-heading">
                        <h2>Register To E-Commerce Website</h2>
                        
                    </div>
                   <h3>
                       <th:block th:if="${session.msg}">
                            <p class="text-center fs-4 text-success">[[${session.msg}]]</p>
                            <th:block th:text="${#session.removeAttribute('msg')}"></th:block>
                        </th:block> 
                        </h3>
                    <form id="subscribe" action="createUser" method="post">
                        <div class="row">
                        <div class="col-lg-5">
                        <fieldset>
                          <input type="text"   
                                        name="fullName" id="FullName" pattern="[a-zA-Z]{ }[a-zA-Z]{1,15}" class="form-control"  placeholder="Enter Full Name" required>
                            </fieldset>
                            </div>
                          <div class="col-lg-5">
                          <fieldset>
                        <input type="email" name="email"
                                        class="form-control" placeholder="Enter Email" required>
                            </fieldset>
                          </div>
                          <div class="col-lg-5">
                            <fieldset>
                       <input type="text" name="address" pattern="[a-zA-Z]{1,20}"
                                        class="form-control" placeholder="Enter Address" required>
                            </fieldset>
                          </div>
                          <div class="col-lg-5">
                            <fieldset>
                          <input type="text"
                                        name="qualification"  class="form-control" placeholder="Enter State" required>  
                                     
                            </fieldset>
                          </div>
                          <div class="col-lg-5">
                            <fieldset>
                      <input type="password"
                                        name="password" class="form-control"  pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"  placeholder="Enter Password"  required>
                            </fieldset>
                          </div>
                         
                   
                          <div class="col-lg-1">
                            <fieldset>
                              <button type="submit" value="submit" id="form-submit" class="main-dark-button">
                             <i class="fa fa-paper-plane"></i></button>
                             
                            </fieldset>
                          </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
  














   </section>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>



<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>



<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>




</body>
</html>